@import 'settings';
@import 'mixins';

@import '~react-select/dist/react-select.css';

.SmartMultiSelectContainer {
    display: inline-block;
    vertical-align: middle;
    width: calc(100% - 50px);
    min-width: 367px;
    max-width: 367px;
    margin-right: 5px;

    $select-height: 32px;

    .Select {
        .Select-control {
            height: $select-height;
            border-radius: 3px;
            border-color: $gray-400;
            color: $black;
        }

        .Select-placeholder {
            color: $gray-600;
        }

        &.is-focused {
            .Select-control {
                border-color: $gray-700;
                box-shadow: 1px 1px 1px rgba($black, 0.50),
                           -1px -1px 1px rgba($black, 0.50);

            }
        }

        .Select-input,
        .Select-placeholder {
            height: $select-height;
            line-height: $select-height;
        }

        &--multi .Select-value {
            color: $blue-dark;
        }

        &--multi .Select-value-label {
            max-width: 250px;
            white-space: nowrap;
            overflow: hidden;
            text-overflow: ellipsis;
        }

        &--multi .Select-value-icon {
            font-family: Helvetica Neue, Helvetica, Arial, sans-serif;
            font-size: 12.6px;
        }

        &--multi .Select-value-icon:hover,
        &--multi .Select-value-icon:focus {
            color: $blue;
        }
    }

    .Select-clear-zone {
        background: $white;
    }

    .Select-arrow {
        transform: scaleX(0.65) scaleY(1.25);
        border-color: $black transparent transparent;
    }

    .Select-menu-outer {
        z-index: 20;
        border-color: $gray-600;
    }

    .Select.is-focused .Select-menu-outer {
        box-shadow: 1px 1px 1px rgba($black, 0.20),
                   -1px -1px 1px rgba($black, 0.20);
    }

    .Select-option {
        color: $black;

        &.is-selected {
            color: $black;
            background-color: $gray-200;
        }

        &.is-focused {
            color: $black;
            background-color: $gray-100;
        }
    }
}
